# Uses of Interface
org.xnio.channels.ByteChannel

Packages that use ByteChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of ByteChannel in org.xnio.channels

Subinterfaces of ByteChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
`interface`
`ConnectedStreamChannel`
A stream channel that is a connection between a local and remote endpoint.
`interface`
`StreamChannel`
A stream channel.
Classes in org.xnio.channels that implement ByteChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
`class`
`AssembledStreamChannel`
A stream channel assembled from a stream source and stream sink.
Methods in org.xnio.channels that return ByteChannel
Modifier and Type
Method
Description
`static ByteChannel`
Channels.`wrapByteChannel(ByteChannel original)`
Create a wrapper for a byte channel which does not expose other methods.
Methods in org.xnio.channels with parameters of type ByteChannel
Modifier and Type
Method
Description
`static ByteChannel`
Channels.`wrapByteChannel(ByteChannel original)`
Create a wrapper for a byte channel which does not expose other methods.